POST
https://api.cryptohopper.com/v1/hopper/{id}/marketmaker/cancel
Cancels the market maker orders listed in marketmaker_ids: buy and sell orders that are still open are cancelled on the exchange and the market makers are marked cancelled.
OAuth scope:
read manage About scopes
When only some market makers are found, the found ones are cancelled and the message says not all were cancelled.
Example request
curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/cancel" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"marketmaker_ids":[7700001,7700002]}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/cancel', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"marketmaker_ids": [
7700001,
7700002
]
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/cancel",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"marketmaker_ids": [
7700001,
7700002
]
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/marketmaker/cancel');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'marketmaker_ids' => [
7700001,
7700002,
],
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Optional | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID of a market maker bot. |
Response
{
"data": "Selected market maker(s) are cancelled."
}